//
//	Scorm_Objectiveテーブルデータ保持クラス
//			変更履歴
//				2005.05.10	新規作成　大賀　俊彦
//
package jp.co.ntt.lms.lo.scorm;

public class ScormObjectiveData implements java.io.Serializable {
	/** UserIDを保持します */
	private String strUserID = "";

	/** LOIDを保持します */
	private String strLOID = "";

	/** StudySessionCountを保持します */
	private int intStudySessionCount = 0;

	/** ActivityIDを保持します */
	private String strActivityID = "";

	/** AttemptCountを保持します */
	private int intAttemptCount = 0;

	/** LearnSessionCountを保持します */
	private int intLearnSessionCount = 0;

	/** ObjectiveCountを保持します */
	private int intObjectiveCount = 0;

	/** SessionIDを保持します */
	private String strSessionID = "";

	/** ObjectiveIdを保持します */
	private String strObjectiveId = "";

	/** ScaledScoreを保持します */
	private double dbScaledScore = 0.0;

	/** RawScoreを保持します */
	private double dbRawScore = 0.0;

	/** MaxScoreを保持します */
	private double dbMaxScore = 0.0;

	/** MinScoreを保持します */
	private double dbMinScore = 0.0;

	/** SuccessStatusを保持します */
	private String strSuccessStatus = "";

	/** CompletionStatusを保持します */
	private String strCompletionStatus = "";


	/**
	 * @return strActivityID を戻します。
	 */
	public String getStrActivityID() {
		return strActivityID;
	}
	/**
	 * @param strActivityID strActivityID を設定。
	 */
	public void setStrActivityID(String strActivityID) {
		this.strActivityID = strActivityID;
	}
	/**
	 * @return dbMaxScore を戻します。
	 */
	public double getDbMaxScore() {
		return dbMaxScore;
	}

	/**
	 * @param dbMaxScore
	 *            dbMaxScore を設定。
	 */
	public void setDbMaxScore(double dbMaxScore) {
		this.dbMaxScore = dbMaxScore;
	}

	/**
	 * @return dbMinScore を戻します。
	 */
	public double getDbMinScore() {
		return dbMinScore;
	}

	/**
	 * @param dbMinScore
	 *            dbMinScore を設定。
	 */
	public void setDbMinScore(double dbMinScore) {
		this.dbMinScore = dbMinScore;
	}

	/**
	 * @return dbRawScore を戻します。
	 */
	public double getDbRawScore() {
		return dbRawScore;
	}

	/**
	 * @param dbRawScore
	 *            dbRawScore を設定。
	 */
	public void setDbRawScore(double dbRawScore) {
		this.dbRawScore = dbRawScore;
	}

	/**
	 * @return dbScaledScore を戻します。
	 */
	public double getDbScaledScore() {
		return dbScaledScore;
	}

	/**
	 * @param dbScaledScore
	 *            dbScaledScore を設定。
	 */
	public void setDbScaledScore(double dbScaledScore) {
		this.dbScaledScore = dbScaledScore;
	}

	/**
	 * @return intAttemptCount を戻します。
	 */
	public int getIntAttemptCount() {
		return intAttemptCount;
	}

	/**
	 * @param intAttemptCount
	 *            intAttemptCount を設定。
	 */
	public void setIntAttemptCount(int intAttemptCount) {
		this.intAttemptCount = intAttemptCount;
	}

	/**
	 * @return intLearnSessionCount を戻します。
	 */
	public int getIntLearnSessionCount() {
		return intLearnSessionCount;
	}

	/**
	 * @param intLearnSessionCount
	 *            intLearnSessionCount を設定。
	 */
	public void setIntLearnSessionCount(int intLearnSessionCount) {
		this.intLearnSessionCount = intLearnSessionCount;
	}

	/**
	 * @return intObjectiveCount を戻します。
	 */
	public int getIntObjectiveCount() {
		return intObjectiveCount;
	}

	/**
	 * @param intObjectiveCount
	 *            intObjectiveCount を設定。
	 */
	public void setIntObjectiveCount(int intObjectiveCount) {
		this.intObjectiveCount = intObjectiveCount;
	}

	/**
	 * @return intStudySessionCount を戻します。
	 */
	public int getIntStudySessionCount() {
		return intStudySessionCount;
	}

	/**
	 * @param intStudySessionCount
	 *            intStudySessionCount を設定。
	 */
	public void setIntStudySessionCount(int intStudySessionCount) {
		this.intStudySessionCount = intStudySessionCount;
	}

	/**
	 * @return strCompletionStatus を戻します。
	 */
	public String getStrCompletionStatus() {
		return strCompletionStatus;
	}

	/**
	 * @param strCompletionStatus
	 *            strCompletionStatus を設定。
	 */
	public void setStrCompletionStatus(String strCompletionStatus) {
		this.strCompletionStatus = strCompletionStatus;
	}

	/**
	 * @return strLOID を戻します。
	 */
	public String getStrLOID() {
		return strLOID;
	}

	/**
	 * @param strLOID
	 *            strLOID を設定。
	 */
	public void setStrLOID(String strLOID) {
		this.strLOID = strLOID;
	}

	/**
	 * @return strObjectiveId を戻します。
	 */
	public String getStrObjectiveId() {
		return strObjectiveId;
	}

	/**
	 * @param strObjectiveId
	 *            strObjectiveId を設定。
	 */
	public void setStrObjectiveId(String strObjectiveId) {
		this.strObjectiveId = strObjectiveId;
	}

	/**
	 * @return strSessionID を戻します。
	 */
	public String getStrSessionID() {
		return strSessionID;
	}

	/**
	 * @param strSessionID
	 *            strSessionID を設定。
	 */
	public void setStrSessionID(String strSessionID) {
		this.strSessionID = strSessionID;
	}

	/**
	 * @return strSuccessStatus を戻します。
	 */
	public String getStrSuccessStatus() {
		return strSuccessStatus;
	}

	/**
	 * @param strSuccessStatus
	 *            strSuccessStatus を設定。
	 */
	public void setStrSuccessStatus(String strSuccessStatus) {
		this.strSuccessStatus = strSuccessStatus;
	}

	/**
	 * @return strUserID を戻します。
	 */
	public String getStrUserID() {
		return strUserID;
	}

	/**
	 * @param strUserID
	 *            strUserID を設定。
	 */
	public void setStrUserID(String strUserID) {
		this.strUserID = strUserID;
	}
}